Add Lead to Campaign
curl --request POST \
--url https://api.voiceaiwrapper.app/v1/api/voice-campaigns/{campaign_id}/leads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenant_id": "VGVuYW50OjEyMw==",
"phone_number": "+14155552671",
"first_name": "Jane",
"last_name": "Doe",
"email": "jane.doe@example.com",
"custom_fields": {
"company": "Acme Corp",
"plan": "enterprise"
}
}
'import requests
url = "https://api.voiceaiwrapper.app/v1/api/voice-campaigns/{campaign_id}/leads"
payload = {
"tenant_id": "VGVuYW50OjEyMw==",
"phone_number": "+14155552671",
"first_name": "Jane",
"last_name": "Doe",
"email": "jane.doe@example.com",
"custom_fields": {
"company": "Acme Corp",
"plan": "enterprise"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tenant_id: 'VGVuYW50OjEyMw==',
phone_number: '+14155552671',
first_name: 'Jane',
last_name: 'Doe',
email: 'jane.doe@example.com',
custom_fields: {company: 'Acme Corp', plan: 'enterprise'}
})
};
fetch('https://api.voiceaiwrapper.app/v1/api/voice-campaigns/{campaign_id}/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Lead added to the campaign successfully"
}{
"message": "Invalid data",
"error": [
"Lead phone number is missing: phone_number"
]
}{
"message": "Authorization header not found"
}{
"message": "API key is disabled"
}{
"message": "Tenant not found"
}{
"message": "Invalid request method"
}{
"message": "Internal server error"
}Leads (v1)
Add Lead to Campaign
Adds a single lead to the specified campaign.
Authentication
All requests require an Authorization header using Bearer token authentication:
Authorization: Bearer <api_key>
POST
/
v1
/
api
/
voice-campaigns
/
{campaign_id}
/
leads
Add Lead to Campaign
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifier of the campaign. Required.
Example:
"camp_abc123"
Body
application/json
Lead details to add to the campaign
Tenant global ID (base64-encoded). Required.
Example:
"VGVuYW50OjEyMw=="
Lead phone number in E.164 format. Required.
Example:
"+14155552671"
Lead first name. Optional.
Example:
"Jane"
Lead last name. Optional.
Example:
"Doe"
Lead email address. Optional.
Example:
"jane.doe@example.com"
Additional key-value pairs for call script personalisation. Optional.
Example:
{
"company": "Acme Corp",
"plan": "enterprise"
}
Was this page helpful?
⌘I

